%?mingw_package_header

Summary:	MinGW Windows popt library
Name:		mingw-popt
Version:	1.16
Release:	2%{?dist}
License:	MIT
URL:		http://www.rpm5.org/
Source:		http://www.rpm5.org/files/popt/popt-%{version}.tar.gz
Patch0:		popt-1.16-pkgconfig.patch
Patch1:		popt-1.16-execfail.patch
Patch2:		popt-1.16-man-page.patch
Patch3:		popt-1.16-help.patch
Patch4:		0001-nl_langinfo.mingw32.patch
Patch5:		318833.all.patch
Patch6:		get-w32-console-maxcols.mingw32.patch
Patch7:		no-uid-stuff-on.mingw32.patch

BuildArch:	noarch

BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-binutils
BuildRequires:	mingw32-gettext

BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-gcc
BuildRequires:	mingw64-binutils
BuildRequires:	mingw64-gettext


%description
MinGW Windows popt library.

# Win32
%package -n mingw32-popt
Summary:	MinGW Windows popt library for the win32 target

%description -n mingw32-popt
MinGW Windows popt library.

%package -n mingw32-popt-static
Summary:	Static library for parsing command line parameters
Group:		Development/Libraries
Requires:	mingw32-popt = %{version}-%{release}
Requires:	mingw32-gettext-static

%description -n mingw32-popt-static
Static version of the MinGW Windows popt library.

# Win64
%package -n mingw64-popt
Summary:	MinGW Windows popt library for the win64 target

%description -n mingw64-popt
MinGW Windows popt library.

%package -n mingw64-popt-static
Summary:	Static library for parsing command line parameters
Group:		Development/Libraries
Requires:	mingw64-popt = %{version}-%{release}
Requires:	mingw64-gettext-static

%description -n mingw64-popt-static
Static version of the MinGW Windows popt library.


%?mingw_debug_package


%prep
%setup -q -n popt-%{version}
%patch0 -p1 -b .pkgconfig
%patch1 -p1 -b .execfail
%patch2 -p1 -b .man-page
%patch3 -p1 -b .help
%patch4 -p1 -b .langinfo
%patch5 -p1 -b .
%patch6 -p1 -b .maxcols
%patch7 -p1 -b .no-uid

%build
# TRe libtool check on 64-bit Windows DLL is broken in mingw-w64
# Linux cross compiler. So, force it to pass all checks
export lt_cv_deplibs_check_method='pass_all'

%mingw_configure --enable-shared --enable-static
%mingw_make %{?_smp_mflags} V=1

%install
%mingw_make DESTDIR=$RPM_BUILD_ROOT install

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}

%mingw_find_lang popt

# Win32
%files -n mingw32-popt -f mingw32-popt.lang
%license COPYING
%doc CHANGES
%doc README
%{mingw32_bindir}/libpopt-0.dll
%{mingw32_libdir}/libpopt.dll.a
%{mingw32_libdir}/pkgconfig/popt.pc
%{mingw32_includedir}/popt.h

%files -n mingw32-popt-static
%{mingw32_libdir}/libpopt.a

# Win64
%files -n mingw64-popt -f mingw64-popt.lang
%license COPYING
%doc CHANGES
%doc README
%{mingw64_bindir}/libpopt-0.dll
%{mingw64_libdir}/libpopt.dll.a
%{mingw64_libdir}/pkgconfig/popt.pc
%{mingw64_includedir}/popt.h

%files -n mingw64-popt-static
%{mingw64_libdir}/libpopt.a

%changelog
* Tue Sep 12 2017 Michael Jeanson <mjeanson@efficios.com> - 1.16-2
- Removed unused Group attribute in spec file.
- Fix indentation of spec file.
- Removed unnecessary clean directives from spec file.
- Added short description to patches.

* Wed Jun 07 2017 Michael Jeanson <mjeanson@efficios.com> - 1.16-2
- Initial build.
